aboutsummaryrefslogtreecommitdiff
path: root/devel/py-grouch/pkg-req
diff options
context:
space:
mode:
authorJohann Visagie <wjv@FreeBSD.org>2001-09-06 14:32:27 +0000
committerJohann Visagie <wjv@FreeBSD.org>2001-09-06 14:32:27 +0000
commitf80bb54c629d128a74405eb085f18f906322cf3a (patch)
tree5351a861085bb4a70a0f37bcd5f39e2c15f0f16b /devel/py-grouch/pkg-req
parentad6b729c660de06984c1d2759a630ee09f9e052f (diff)
downloadports-f80bb54c629d128a74405eb085f18f906322cf3a.tar.gz
ports-f80bb54c629d128a74405eb085f18f906322cf3a.zip
Add py-grouch 0.1, a system for describing and enforcing a Python
object schema.
Notes
Notes: svn path=/head/; revision=47474
Diffstat (limited to 'devel/py-grouch/pkg-req')
-rw-r--r--devel/py-grouch/pkg-req17
1 files changed, 17 insertions, 0 deletions
diff --git a/devel/py-grouch/pkg-req b/devel/py-grouch/pkg-req
new file mode 100644
index 000000000000..b76981decd7b
--- /dev/null
+++ b/devel/py-grouch/pkg-req
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+PATH=$PATH:/usr/local/bin
+
+if [ "x$1" = "xINSTALL" -o "x$2" = "xINSTALL" ]; then
+ PYTHON_GT=`python -c 'import string, sys; \
+ print string.split(sys.version)[0] >= "2.0"'`
+ if [ "x${PYTHON_GT}" = "x1" ]; then
+ exit 0
+ else
+ echo "-----------------------------------------------------------"
+ echo "Grouch requires Python version 2.0 or greater - "
+ echo " please update your Python installation before proceeding."
+ echo "-----------------------------------------------------------"
+ exit 1
+ fi
+fi